#!/usr/bin/env python
#
# Usage:
# 
#   First, enable the python environment you want to install to, or if installing
#   system-wide then ensure you're logged in with sufficient permissions
#   (admin or root to install to system directories)
#
#   installation:
#
#       $ ./setup.py install
#
#   de-installation:
#
#       $ pip uninstall <app>


from setuptools import setup

__project__ = 'app_skellington'
__version__ = '0.1.0'

setup(
    name            = __project__,
    version         = __version__,
    description     = 'A high-powered 2-level CLI framework',
    author          = 'Mathew Guest',
    author_email    = 't3h.zavage@gmail.com',
    url             = 'https://git-mirror.zavage-software.com/Mirror/app_skellington',
    license         = 'MIT',

    python_requires = '>=3',

    classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Console',
        'Framework :: Pytest',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Operating System :: MacOS',
        'Operating System :: Microsoft',
        'Operating System :: Microsoft :: Windows',
        'Operating System :: OS Independent',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: Linux',
        'Topic :: Software Development :: Libraries',
        'Topic :: Utilities'
    ],

    # Third-party dependencies; will be automatically installed
    install_requires = (
      'appdirs',
      'configobj',
      'colorlog',
    ),

    # Local packages to be installed (our packages)
    packages = (
        'app_skellington',
    ),

)

